.top-cover {
    background-color: var(--pink-bold-color);
    background-size: cover;
    background-repeat: no-repeat;
    overflow: hidden;
    position: fixed;
    width: 100%;
    height: 100%;
    height: var(--body-height);
    z-index: 999999;
    top: 0;
    left: 0;
    transition: all 1.8s;
    transition-timing-function: cubic-bezier(.23, .56, .38, .78);
    -webkit-transition-timing-function: cubic-bezier(.23, .56, .38, .78);
    -moz-transition-timing-function: cubic-bezier(.23, .56, .38, .78);
    -o-transition-timing-function: cubic-bezier(.23, .56, .38, .78);
    display: flex;
    flex-direction: column;
    color: var(--white);
}

section.top-cover.hide {
    top: -120%;
    bottom: 120%;
    pointer-events: none
}

.top-cover .content-wrapper {
    position: absolute;
    width: 100%;
    height: 100%;
    display: flex;
    z-index: 2;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

.top-cover .content-wrapper .name-couple-wrapper h1 {
    font-size: 3.5rem;
    letter-spacing: 7.2px;
    line-height: 72px;
}

.top-cover .content-wrapper .honorable p:nth-child(1) {
    font-size: 1rem;
    font-weight: 100;
    text-align: center;
    text-shadow: 0px 2px 16px rgba(0, 0, 0, 0.32);
    margin-bottom: .5rem;
}

.top-cover .content-wrapper .honorable p:nth-child(2) {
    text-shadow: 0px 2px 16px rgba(0, 0, 0, 0.32);
    font-size: 18px;
    text-align: center;
    font-weight: 700;
}

.top-cover .content-wrapper .honorable p:nth-child(3) {
    margin-top: 1rem;
    text-align: center;
    text-shadow: 0px 2px 16px rgba(0, 0, 0, 0.32);
    font-size: 14px;
    font-weight: 300;
}

.top-cover .background img {
    position: absolute;
    width: 100%;
    height: 100%;
    z-index: -1;
    object-fit: cover;
    opacity: 1;
}

.bg-shades {
    position: absolute;
    width: 100%;
    height: 100%;
    background: linear-gradient(180deg, #0F110C 0%, rgba(15, 17, 12, 0.50) 15%, rgba(15, 17, 12, 0.45) 50%, rgba(15, 17, 12,
                0.50) 85%, #0F110C 100%);
    z-index: 1;
}

.top-cover .my-button {
    margin: 2rem !important;
    border: 1px solid rgba(255, 255, 255, 0.10) !important;
    background: #0F110C !important;
    box-shadow: 2px 2px 20px 0px rgba(255, 255, 255, 0.08) inset !important;
    backdrop-filter: blur(16px) !important;
}

.top-cover .my-button:hover {
    font-size: 1.1rem;
    color: var(--white);
}
